namespace Syntriax.Engine.Systems.Tween;

public interface ITweenManager
{
    ITween StartTween(float duration, TweenSetCallback? setCallback = null);
    void CancelTween(ITween tween);

    delegate void TweenSetCallback(float t);
}
